import { useConfig } from 'wagmi';
import { useMutation, } from 'wagmi/query';
import { writeContractSponsoredMutationOptions, } from '../query/writeContractSponsored.js';
export function useWriteContractSponsored(parameters = {}) {
    const { mutation } = parameters;
    const config = useConfig(parameters);
    const mutationOptions = writeContractSponsoredMutationOptions(config);
    const { mutate, mutateAsync, ...result } = useMutation({
        ...mutation,
        ...mutationOptions,
    });
    return {
        ...result,
        writeContractSponsored: mutate,
        writeContractSponsoredAsync: mutateAsync,
    };
}
//# sourceMappingURL=useWriteContractSponsored.js.map