import { type LoginMethodOrderOption, type PrivyProviderProps } from '@privy-io/react-auth';
import React from 'react';
import { type Chain, type Transport } from 'viem';
export declare const agwAppLoginMethod: LoginMethodOrderOption;
/**
 * Configuration options for the AbstractPrivyProvider.
 * @interface AgwPrivyProviderProps
 * @extends PrivyProviderProps
 * @property {boolean} testnet - Whether to use abstract testnet, defaults to false.
 * @property {Transport} transport - Optional transport to use, defaults to standard http.
 */
interface AgwPrivyProviderProps extends PrivyProviderProps {
    chain?: Chain;
    transport?: Transport;
}
export declare const AbstractPrivyProvider: ({ chain, transport, ...props }: AgwPrivyProviderProps) => React.JSX.Element;
export {};
//# sourceMappingURL=abstractPrivyProvider.d.ts.map